import 'package:flutter/material.dart';
import 'package:rkm_educa_app/componentes/appbar_custom.dart';
import 'package:rkm_educa_app/componentes/drawer_custom.dart';
import 'package:rkm_educa_app/componentes/item_evento.dart';
import 'package:rkm_educa_app/modelos/estudante_modelo.dart';

import '../controllers/main_controllers.dart';
import '../utils/dimensoes.dart';

class TelaEventos extends StatefulWidget {
  EstudanteModelo estudanteModelo;

  TelaEventos({
    required this.estudanteModelo
});

  @override
  State<TelaEventos> createState() => _TelaEventosState();
}

class _TelaEventosState extends State<TelaEventos> {

  @override
  void initState() {
    super.initState();
    MainControllers().salvarLog(widget.estudanteModelo, 'EVENTOS');
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBarCustom().appbar(context, 'EVENTOS ESCOLARES'),
      drawer: DrawerCustom(estudanteModelo: widget.estudanteModelo),
      body: Container(
        padding: EdgeInsets.symmetric(vertical: 20,horizontal: 10),
        width: Dimensoes.width,
        height: Dimensoes.height,
        child: ListView(
          children: [
            ItemEvento(data: '10/05/2023', titulo: 'Viagem para o Museu', local: 'São Paulo'),
            ItemEvento(data: '10/05/2023', titulo: 'Viagem para o Museu', local: 'São Paulo'),
            ItemEvento(data: '10/05/2023', titulo: 'Viagem para o Museu', local: 'São Paulo'),
            ItemEvento(data: '10/05/2023', titulo: 'Viagem para o Museu', local: 'São Paulo'),
          ],
        ),
      )
    );
  }
}
